4Suite™ API Documentation

# ► Module Ft.Server.Common.Util

Common (client and server) utilities for repo code
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Functions: GetUserNsMappings, RepoPathToUri, RepoUriToPath |  |  |  | Fields: DASHBOARD_NS, FTSS_URI_SCHEME, IMT_MAP, NSM_NSM, PREFIXES, RESERVED_NAMESPACE, URIS, found_imts, imt_file_path, imt_file_paths

## Functions

GetUserNsMappings(repo, baseMappings=None)
RepoPathToUri(path)
RepoUriToPath(uri)

## Fields

DASHBOARD_NS = 'http://chimezie.ogbuji.net/4ss/tools/dashboard/schema#'
FTSS_URI_SCHEME = 'ftss'
IMT_MAP = {'.gif': 'image/gif', '.htm': 'text/html', '.html': 'text/html', '.jpeg': 'image/jpeg', '.jpg': 'image/jpeg', '.png': 'image/png', '.rdf': 'text/xml', '.svg': 'image/svg', '.xhtml': 'text/html', '.xml': 'text/xml', ...}
NSM_NSM = {'fres': 'http://xmlns.4suite.org/reserved'}
PREFIXES = /child::fres:NsMappings/child::fres:NsMapping/child::Prefix/child::text()
RESERVED_NAMESPACE = 'http://xmlns.4suite.org/reserved'
URIS = /child::fres:NsMappings/child::fres:NsMapping/child::Uri/child::text()
found_imts = 0
imt_file_path = '/etc/httpd/conf/mime.types'
imt_file_paths = ['/etc/mime.types', '/usr/local/etc/mime.types', '/usr/local/apache/conf/mime.types', '/etc/httpd/conf/mime.types']